Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.slf4j
Class SLF4JLogger

    java.lang.Object
      org.apache.logging.log4j.spi.AbstractLogger
          org.apache.logging.slf4j.SLF4JLogger

All Implemented Interfaces:
  Serializable, org.apache.logging.log4j.Logger, org.apache.logging.log4j.spi.ExtendedLogger

    public class SLF4JLogger

extends org.apache.logging.log4j.spi.AbstractLogger

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.logging.log4j.spi.AbstractLogger
`CATCHING_MARKER, DEFAULT_MESSAGE_FACTORY_CLASS, ENTRY_MARKER, EXCEPTION_MARKER, EXIT_MARKER, FLOW_MARKER, THROWING_MARKER`

Constructor Summary
`SLF4JLogger(String name, org.slf4j.Logger logger)`
`SLF4JLogger(String name, org.apache.logging.log4j.message.MessageFactory messageFactory, org.slf4j.Logger logger)`

Method Summary
`org.apache.logging.log4j.Level` | `getLevel()`
`org.slf4j.Logger` | `getLogger()`
`boolean` | `isEnabled(org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker, org.apache.logging.log4j.message.Message data, Throwable t)`
`boolean` | `isEnabled(org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker, Object data, Throwable t)`
`boolean` | `isEnabled(org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker, String data)`
`boolean` | `isEnabled(org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker, String data, Object... p1)`
`boolean` | `isEnabled(org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker, String data, Throwable t)`
`void` | `logMessage(String fqcn, org.apache.logging.log4j.Level level, org.apache.logging.log4j.Marker marker, org.apache.logging.log4j.message.Message message, Throwable t)`

Methods inherited from class org.apache.logging.log4j.spi.AbstractLogger
`catching, catching, catching, catchingMsg, checkMessageFactory, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, debug, entry, entry, entry, entryMsg, error, error, error, error, error, error, error, error, error, error, error, error, error, error, exit, exit, exit, exitMsg, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, fatal, getMessageFactory, getName, info, info, info, info, info, info, info, info, info, info, info, info, info, info, isDebugEnabled, isDebugEnabled, isEnabled, isEnabled, isErrorEnabled, isErrorEnabled, isFatalEnabled, isFatalEnabled, isInfoEnabled, isInfoEnabled, isTraceEnabled, isTraceEnabled, isWarnEnabled, isWarnEnabled, log, log, log, log, log, log, log, log, log, log, log, log, log, log, logIfEnabled, logIfEnabled, logIfEnabled, logIfEnabled, logIfEnabled, logMessage, logMessage, logMessage, logMessage, printf, printf, throwing, throwing, throwing, throwingMsg, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLF4JLogger

    public SLF4JLogger(String name,
                       org.apache.logging.log4j.message.MessageFactory messageFactory,
                       org.slf4j.Logger logger)

### SLF4JLogger

    public SLF4JLogger(String name,
                       org.slf4j.Logger logger)

Method Detail

### getLevel

    public org.apache.logging.log4j.Level getLevel()

### getLogger

    public org.slf4j.Logger getLogger()

### isEnabled

    public boolean isEnabled(org.apache.logging.log4j.Level level,
                             org.apache.logging.log4j.Marker marker,
                             org.apache.logging.log4j.message.Message data,
                             Throwable t)

### isEnabled

    public boolean isEnabled(org.apache.logging.log4j.Level level,
                             org.apache.logging.log4j.Marker marker,
                             Object data,
                             Throwable t)

### isEnabled

    public boolean isEnabled(org.apache.logging.log4j.Level level,
                             org.apache.logging.log4j.Marker marker,
                             String data)

### isEnabled

    public boolean isEnabled(org.apache.logging.log4j.Level level,
                             org.apache.logging.log4j.Marker marker,
                             String data,
                             Object... p1)

### isEnabled

    public boolean isEnabled(org.apache.logging.log4j.Level level,
                             org.apache.logging.log4j.Marker marker,
                             String data,
                             Throwable t)

### logMessage

    public void logMessage(String fqcn,
                           org.apache.logging.log4j.Level level,
                           org.apache.logging.log4j.Marker marker,
                           org.apache.logging.log4j.message.Message message,
                           Throwable t)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.